<BAPI_Database
    :version  44
    :superclass  "ClosedWorld"
    :doc
	<BAPI_Text
	    :hard_lab  "Doc:"
	    :lab  "Documentation"
	    :val  "The ExchangeRate beliefset associates two currencies with the Exchange Rate to convert between them."
	>
    :name  "ExchangeRate"
    :filename  "ex/exchange/ExchangeRate.gdb"
    :type  "aos.jack.ed.Database"
    :java
	<BAPI_Java
	    :pkg
		<BAPI_TextLine
		    :val  "ex.exchange"
		>
	>
    :dbfields
	(
	    <BAPI_DBField =0
		:name  "currency1"
		:isKey  :true
	    >
	    <BAPI_DBField =1
		:name  "currency2"
		:isKey  :true
	    >
	    <BAPI_DBField =2
		:name  "rate"
		:type  "double"
	    >
	)
    :queries
	(
	    <BAPI_DBQuery
		:name  "conversion"
		:logicals
		    (
			<BAPI_InternalRef
			    :ref
				<&2 >
			>
		    )
	    >
	    <BAPI_DBQuery
		:name  "get"
		:logicals
		    (
			<BAPI_InternalRef
			    :ref
				<&1 >
			>
			<BAPI_InternalRef
			    :ref
				<&2 >
			>
		    )
	    >
	    <BAPI_DBQuery
		:name  "get"
		:logicals
		    (
			<BAPI_InternalRef
			    :ref
				<&0 >
			>
			<BAPI_InternalRef
			    :ref
				<&2 >
			>
		    )
	    >
	    <BAPI_DBQuery
		:name  "get"
		:type  :linear
		:logicals
		    (
			<BAPI_InternalRef
			    :ref
				<&0 >
			>
			<BAPI_InternalRef
			    :ref
				<&1 >
			>
			<BAPI_InternalRef
			    :ref
				<&2 >
			>
		    )
	    >
	)
    :vqueries
	(
	    <BAPI_ViewQuery
		:name  "conversion"
		:definition
		    <BAPI_Text
			:lab  "conversion"
			:val  `conversion(String currency1,String currency2)
{
  logical double rate;
  return conversion(currency1,currency2,rate);
}
`
		    >
	    >
	    <BAPI_ViewQuery
		:name  "currency"
		:definition
		    <BAPI_Text
			:lab  "currency"
			:val  `currency(String currency)
{
  logical String otherCurrency;
  logical double rate;
  return (get(currency,otherCurrency,rate) || get(otherCurrency,currency,rate));
}
`
		    >
	    >
	)
>
