
import java.awt.*;
import java.awt.event.*;
import aos.util.Properties;

class Front extends Frame {

    class WindowEventHandler extends WindowAdapter {
	public void windowClosing(WindowEvent e)
	    {
		// Crasch and bang
		System.exit(0);
	    }
    }

  Front()
  {
    super("Demo");
    String prefix = "ATM.Banner";
    int x = Properties.getIntProperty(prefix+".x",0);
    int y = Properties.getIntProperty(prefix+".y",0);
    int w = Properties.getIntProperty(prefix+".width",-1);
    int h = Properties.getIntProperty(prefix+".height",0);
    String font = Properties.getStringProperty(prefix+".font","Courier-bold-48");

    setFont(Font.decode(font));
    add(new Label(Properties.getStringProperty(prefix+".label",
					"ATM Example")));
    Label c = new Label("Copyright 1999, Agent Oriented Software Pty. Ltd.");
    c.setFont(Font.decode("Courier-10"));
    add(c,"North");
    pack();
    setLocation(x,y);
    addWindowListener(new WindowEventHandler());
    if (w != -1)
      setSize(w,h);
    show();
    try { Thread.sleep(3); }
    catch (InterruptedException e) { }
  }
}
