<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body bgcolor=#ff3300 marginwidth=0 marginheight=0 topmargin=0 leftmargin=0>

<!-- Assignment of response values from the agent.
     These response values form part of the web page which is
     presented to the user. -->
<% String previousResult = (String)request.getSession().getValue("previousResult"); %>
<% String currentResult = (String)request.getSession().getValue("currentResult"); %>
<% String previousError = (String)request.getSession().getValue("previousError"); %>
<% String currentError = (String)request.getSession().getValue("currentError"); %>

<!-- When the user clicks on one of the submit buttons,
     the parameter/value pairs in the form are sent to the URI
     specified in the forms "action", i.e. "/calculator/form.webform". -->
<form method="GET" action="/calculator/form.webform">

<!-- To reduce the clutter in this jsp file, the table rows containing the
     gifs, which make up the image presented to the user, are inserted
     using "include" directives. The include files are named
     "tr-graphics-*.txt". This still leaves a fair amount of
     table data cell clutter (bounded by <td> and </td>). To improve
     the readability of this file, such table data cells are inserted
     via "include" directives of files named "td-cells-*.txt". -->

<table cellspacing="0" cellpadding="0" border="0" >
  <%@ include file="tr-graphics-1.txt" %>
  <tr>
    <%@ include file="td-cells-1.txt" %>

    <!-- This is the input element for the "Add" button. -->
    <td width=85 height=60 valign="top" colspan=5 rowspan=9>
      <input type="image"
             action=submit
             name="add"
	     alt="Add the two operands" src="images/button13_2.gif" width=85 height=60 align="top" border=0>
    </td>
    <%@ include file="td-cells-2.txt" %>

    <!-- This is the input element for the "Subtract" button. -->
    <td width=85 height=60 valign="top" colspan=4 rowspan=9>
      <input type="image"
             action=submit
             name="subtract"
	     alt="Subtract the two operands" src="images/button29_2.gif" width=85 height=60 align="top" border=0>
    </td>
    <%@ include file="td-cells-3.txt" %>

    <!-- This is the input element for the "Multiply" button. -->
    <td width=84 height=60 valign="top" colspan=5 rowspan=9>
      <input type="image"
             action=submit
             name="multiply"
	     alt="Multiply the two operands" src="images/button321_2.gif" width=84 height=60 align="top" border=0>
    </td>
    <%@ include file="td-cells-4.txt" %>

    <!-- This is the input element for the "Divide" button. -->
    <td width=84 height=60 valign="top" colspan=5 rowspan=9>
      <input type="image"
             action=submit
             name="divide"
	     alt="Divide the two operands" src="images/button427_2.gif" width=84 height=60 align="top" border=0>
    </td>
    <%@ include file="td-cells-5.txt" %>
  </tr>
  <%@ include file="tr-graphics-2.txt" %>

  <!-- The two input fields, below, hold the operand values to be sent
       to the agent. -->
  <tr>
    <%@ include file="td-cells-6.txt" %>
    <td width=84 height=41 valign="top" colspan=7 rowspan=2 bgcolor="#FFFFFF"> 
      <div align="center">
        <input type="text" name="operand1" size="5">
      </div>
    </td>
    <%@ include file="td-cells-7.txt" %>
  </tr>
  <tr>
    <%@ include file="td-cells-8.txt" %>
    <td width=84 height=41 valign="top" colspan=6 rowspan=2 BGCOLOR=#FFFFFF> 
      <div align="center">
        <input type="text" name="operand2" size="5">
      </div>
    </td>
    <%@ include file="td-cells-9.txt" %>
  </tr>

  <%@ include file="tr-graphics-3.txt" %>

  <!-- The parameters, previousResult and currentResult, returned by the agent
       are inserted in this row. -->
  <tr>
    <%@ include file="td-cells-10.txt" %>
    <td width=443 height=46 valign="top" colspan=31 rowspan=2 BGCOLOR=#FFFFFF>
        <p><%=previousResult%><br>
           <%=currentResult%></p>
    </td>
    <%@ include file="td-cells-11.txt" %>
  </tr>

  <%@ include file="tr-graphics-4.txt" %>

  <!-- The parameters, previousError and currentError, returned by the agent
       are inserted in this row. -->
  <tr>
    <%@ include file="td-cells-12.txt" %>
    <td width=443 height=46 valign="top" colspan=31 BGCOLOR=#FFFFFF> 
      <p><%=previousError%><br>
         <%=currentError%></p>
    </td>
    <%@ include file="td-cells-13.txt" %>
  </tr>

  <%@ include file="tr-graphics-5.txt" %>

</table>
</form>
</body>
</html>
