package TamagotchiPackage;

import aos.jack.jak.event.MessageEvent;

import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import java.awt.event.*;
import java.util.*;
import jade.core.*;

import jade.lang.acl.*;

import jade.core.behaviours.*;

/**
 * to do: description of the class for the javadoc tool.
 */

public class UserInterface extends JFrame implements ActionListener {
    public UserInterface() {
        try {
            jbInit();
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }

    private JPanel basePanel;
    private JPanel topPanel;

    private JButton button1;
    private JButton button2;
    private JButton button3;
    private JButton button4;
    private JButton button5;
    private JButton button6;
    private JButton button7;

    private TextArea messages;

    private Tamagotchi myTamagotchiAgent;

    private boolean permission = false;

    public UserInterface(Tamagotchi agent) {

        myTamagotchiAgent = agent;

        permission = false;

        this.setSize(new Dimension(500,400));
        this.setLocation(100,100);
        this.setTitle("User Interface for Tamagotchi");

        basePanel = new JPanel(new GridLayout(3, 1));
        basePanel.setBorder(BorderFactory.createEmptyBorder(12,12,12,12));

        this.getContentPane().add(basePanel);

        topPanel = new JPanel();
        topPanel.setLayout(new BoxLayout(topPanel, BoxLayout.Y_AXIS));

        /* Add buttons corresponding to the types of action events perceived by the agent */

        button7 = new JButton("Start visiting");
        button7.addActionListener(this);
        basePanel.add(button7);

        messages = new TextArea();
        basePanel.add(messages);
    }

    public void actionPerformed(ActionEvent e) {
      Object source = e.getSource();

      if (source == button4) {
        myTamagotchiAgent.setHappinessLevel(2);
        show();
      }
      else if (source == button7) {


        myTamagotchiAgent.addBehaviour(new Connect_with_another_Tamagotchi(myTamagotchiAgent));
      }
    }

    private void jbInit() throws Exception {
    }

    public void setPermission (boolean prm) {
      permission = prm;
    }

    public void appendMessage (String msg) {
      messages.append(msg + "\n");
    }
}
